ob_gzhandler Bug in PHP 5.4.4

Mein freudestrahlender Beitrag auf Facebook über das erfolgreiche Serverupgrade wurde von Stefan aka xxoun heute wie folgt kommentiert:

versprochen, bald isses mit den glücksmomenten auch schon wieder vorbei 😉

Wie recht er doch hatte, der erste Bug in der neuen PHP Version ist schon gefunden. Erst geschah es beim Aufruf des phpBB3 ACP, dann im WordPress Backend: die Seiten wurden entweder nicht richtig dargestellt oder es kam gleich eine Fehlermeldung mit Hinweis auf den ob_gzhandler. Nach einer kurzen Recherche ist klar, dass der Fehler eindeutig in PHP 5.4.4 begründet liegt (siehe https://bugs.php.net/bug.php?id=62335). Hoffen wir, dass er in der nächsten Version wieder behoben wird (scheinbar war er bereits behoben, wurde dann aber wieder „integriert“). Bis dorthin hilft der folgende Workaround über die .htaccess:

php_flag zlib.output_compression Off

Schreibe einen Kommentar

Deine E-Mail-Adresse wird nicht veröffentlicht.